Loading...
Searching...
No Matches
AuthManager.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2010 Raritan Inc. All rights reserved.
*/
/** Local and Remote Authentication Management */
module auth {
/** Authentication type */
enumeration Type {
LOCAL, ///< local authentication
RADIUS, ///< authentication via radius server
KERBEROS, ///< authentication with kerberos tickets (not implemented)
TACACS_PLUS, ///< authentication via TACACS+
LDAP ///< authentication via LDAP server
};
/** Authentication policy */
structure Policy {
auth.Type type; ///< Authentication type
boolean useLocalIfRemoteFailed; ///< Fall back to local authentication if remote authentication fails
};
/** Authentication manager interface */
interface AuthManager {
constant int ERR_UNSUPPORTED_TYPE = 1; ///< Unsupported authentication type
/**
* Gets a policy.
*
* @return a Policy object
*/
Policy getPolicy();
/**
* Sets a policy.
*
* @return 0 on success
* @return 1 in case authentication type is not supported
*/
int setPolicy(in Policy p);
};
}
auth::AuthManager
Authentication manager interface.
Definition AuthManager.idl:25
auth::AuthManager::getPolicy
Policy getPolicy()
Gets a policy.
auth::AuthManager::setPolicy
int setPolicy(in Policy p)
Sets a policy.
auth
Local and Remote Authentication Management.
Definition AuthManager.idl:7
auth::Type
Type
Authentication type.
Definition AuthManager.idl:10
auth::KERBEROS
@ KERBEROS
authentication with kerberos tickets (not implemented)
Definition AuthManager.idl:13
auth::TACACS_PLUS
@ TACACS_PLUS
authentication via TACACS+
Definition AuthManager.idl:14
auth::RADIUS
@ RADIUS
authentication via radius server
Definition AuthManager.idl:12
auth::LOCAL
@ LOCAL
local authentication
Definition AuthManager.idl:11
auth::LDAP
@ LDAP
authentication via LDAP server
Definition AuthManager.idl:15
auth::Policy
Authentication policy.
Definition AuthManager.idl:19
auth::Policy::type
auth::Type type
Authentication type.
Definition AuthManager.idl:20
auth::Policy::useLocalIfRemoteFailed
boolean useLocalIfRemoteFailed
Fall back to local authentication if remote authentication fails.
Definition AuthManager.idl:21